Elasticsearch information: Request

Prev Next

To retrieve information about your NDR data node or director node and the associated cluster, send the following request:

GET https://<IA_IP_address>:<port_number>/elasticsearch

Required header:

Cookie: px=<token>

Options

  • IA_IP_address—The IP address of the NDR appliance running the NDR API.

  • port_number—The port number of the NDR appliance running the NDR API.

  • token—This token authenticates the session. By default, the session times out after 24 hours.

Example

GET https://xxx.xxx.xxx.xxx:443/elasticsearch

Required header:

Cookie: px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

Elasticsearch information: Response

HTTP/1.1 [Response Code] [Response Message]				
Server: [Server]
Date: [Date]				
Content-Type: [Content Type]
				
status: [Status]
name: [Name] 
cluster_name: [Cluster Name]
number: [Version Number]
build_hash: [Build Hash]
build_timestamp: [Build Timestamp] 
build_snapshot: [Build Snapshot]
lucene_version: [Lucene Version]
tagline: [Tagline]
Response fields
  • Response code—A standard HTTP response code.

    • 200—Request successful; the requested information is returned.

    • 4xx—Request unsuccessful.

  • Response message—A standard HTTP response message.

    • OK—Request successful; the requested information is returned.

    • Error message—Request unsuccessful.

  • Server—The server being used.

  • Date—Standard HTML date format.

  • Content type—The response format.

  • Status—A standard HTTP response code.

  • Name—The name of your NDR appliance.

  • Cluster name—The name of the cluster that your NDR appliance belongs to.

  • Version number—The version of the build running on your NDR appliance.

  • Build hash—The hash value of the build running on your NDR appliance.

  • Build timestamp—The time when the build was created.

  • Build snapshot—Whether a snapshot of the build is available.

  • Lucene version—The version of Apache Lucene running on your NDR appliance.

  • Tagline—A short description of Elasticsearch.

Example
HTTP/1.1 200 OK
Server: nginx
Date: Fri, 29 Apr 2016 15:45:20 GMT
Content-Type: application/json; charset=utf-8
{
  "status" : 200,
  "name" : "ia150-1",
  "cluster_name" : "ia150",
  "version" : {
    "number" : "1.7.5",
    "build_hash" : "00f95f4ffca6de89d68b7ccaf80d148f1f70e4d4",
    "build_timestamp" : "2016-02-02T09:55:30Z",
    "build_snapshot" : false,
    "lucene_version" : "4.10.4"
  },
  "tagline" : "You Know, for Search"
}

cURL code sample: Elasticsearch information

curl -k -H 'Cookie: px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx' 
https://xxx.xxx.xxx.xxx:443/elasticsearch/

This cURL sample includes the following options:

  • -k—This option explicitly allows cURL to perform insecure SSL connections and transfers, which allows you to test your SSL connection without installing a CA certificate.

  • -H 'Cookie: px=xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx'—This option specifies the authentication token for this session.

  • https://xxx.xxx.xxx.xxx:443/elasticsearch—The Elasticsearch request URL. Replace xxx.xxx.xxx.xxx with the IP address of your NDR appliance.

Results

This example returns information about your NDR data node or director node and the associated cluster. The output is in JSON format.